from django.views.generic import TemplateView, DetailView
from django.conf import settings
from documents.models import Element, ElementType


class VolumesList(TemplateView):
    """
    List volumes using Vue JS + API
    """
    template_name = 'documents/volumes.html'

    def get_context_data(self, *args, **kwargs):
        ctx = super().get_context_data(*args, **kwargs)
        ctx['mirador_uri'] = settings.MIRADOR_URI
        return ctx


class VolumePages(DetailView):
    """
    Show volume pages using Vue JS + API
    """
    template_name = 'documents/volume.page.html'
    queryset = Element.objects.filter(type=ElementType.Volume)
    context_object_name = 'volume'


class TranscriptionsSearch(TemplateView):
    """
    Search pages using Vue JS + API
    """
    template_name = 'documents/transcriptions.html'
