from django.contrib import admin
from images.models import ImageServer, Image


class ImageServerAdmin(admin.ModelAdmin):
    list_display = ('name', 'url')


class ImageAdmin(admin.ModelAdmin):
    list_display = ('path', 'server', 'width', 'height')
    list_filter = ('server', )
    fields = ('id', 'server', 'path', 'width', 'height')
    readonly_fields = ('id', )


admin.site.register(ImageServer, ImageServerAdmin)
admin.site.register(Image, ImageAdmin)
